package com.example.game;

/**
 * Clase utilizada para almacenar informacin asociada a un agente.
 * 
 * @author Antonio Javier Garrido Rodrguez
 * Copyright 2014 Antonio Javier Garrido Rodrguez
 * 
 *  This file is part of Kamikawa.

    Kamikawa is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Kamikawa is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kamikawa.  If not, see <http://www.gnu.org/licenses/>.
 */
public class DataAgent 
{
	
	//Letra que representa el agente
	private String  _stringAgent;
	//Identificador de su imagen original
	private int _idImg;
	//Identificador de la imagen en rojo
	private int _idImg_red;
		
		
	public  DataAgent()
	{
		_stringAgent = null;
		_idImg = 0;
		_idImg_red = 0;
		
	}
	
	public  DataAgent(String sAgent, int id, int id_red)
	{
		_stringAgent = sAgent;
		_idImg = id;
		_idImg_red = id_red;
	}
	
	public void setIdImg(int id)
	{
		_idImg = id;
	}
	
	public int getIdImg()
	{
		return _idImg;
	}
	
	public void setIdImgRed(int id)
	{
		_idImg_red = id;
	}
	
	public int getIdImgRed()
	{
		return _idImg_red;
	}

	public void setStringAgent(String sAgent)
	{
		_stringAgent = sAgent;
	}
	
	public String getStringAgent()
	{
		return _stringAgent;
	}

}
